Linux2013.02.22 10:03

요즘들어 Openssh-server때문에 말썽이 많다. 

접속이 잘 되지 않아 삭제하고 다시 설치했더니 다음과 같은 에러를 내 뿜으면서 설치가 되지 않는다.


Ubuntu - unable to make backup link of `./usr/sbin/sshd' before installing new version: Operation not permitted


이럴때 이렇게 하자.


1. 우선 root 로 계정변경을 한다.

 $ sudo su


2. /usr/bin/ssh 의 속성을 체크해본다.

 # lsattr /usr/bin/ssh


3. 아래와 같이 나왔다면 여기서 i와 a 속성을 삭제해야 한다.

 # lsattr /usr/bin/ssh

 su--ia------------ /usr/bin/ssh

 # chattr -i /usr/bin/ssh

 # chattr -a /usr/bin/ssh

 # lsattr /usr/bin/ssh

 su---------------- /usr/bin/ssh


4. 이번에는 /usr/sbin/sshd 의 속성을 확인해 보자. 

 # lsattr /usr/sbin/sshd


5. 역시 아래와 같은 속성이 보인다면 i와 a 속성을 삭제해 줘야 한다.

 # lsattr /usr/sbin/sshd

 su--ia------------ /usr/sbin/sshd

 # chattr -i /usr/sbin/sshd

 # chattr -a /usr/sbin/sshd

 # lsattr /usr/sbin/sshd

 su---------------- /usr/sbin/sshd


6. 이제 다시 설치해 보라. 아마도 아무 문제없이 설치가 잘 될 것이다.

 # apt-get install openssh-server


Posted by 나리 짱!!! naleejang